import { OnDestroy, OnInit } from '@angular/core';
import { CanDisable, CanDisableConstructor } from '@bravobit/bb-foundation';
import { TableColumnSortStrategy } from '../table.interfaces';
import { BbTable } from '../table/table.component';
import { Observable } from 'rxjs';
declare class BbTableHeaderCellBase {
}
declare const BbTableHeaderCellMixinBase: CanDisableConstructor & typeof BbTableHeaderCellBase;
export declare class BbTableHeaderCell extends BbTableHeaderCellMixinBase implements OnInit, OnDestroy, CanDisable {
    private _table?;
    private _name?;
    private readonly _sortDirections;
    private readonly _control;
    valueChanges$: Observable<string>;
    set sort(value: TableColumnSortStrategy);
    get sort(): TableColumnSortStrategy;
    constructor(_table?: BbTable, _name?: string);
    ngOnInit(): void;
    ngOnDestroy(): void;
    get isDisabled(): boolean;
    onClick(): void;
    private updateTableAndHeaderCell;
    private handleSingleSortingStrategy;
    private logWarning;
}
export {};
